body{
    font-family: 'Montserrat', sans-serif; 
    margin: 0;
    background-color: #000;
    color: #fff;
    overflow: hidden;
 }
 
 .main{
     display: flex;
     height: 100vh;
     padding: 0.5rem;
 }
 
 .sidebar{
     background-color: #000;
     width: 340px;
     border-radius: 1rem; /*16px*/
     margin-right: 0.5rem;
 }
 
 .main-content{
      background-color: #121212;
      flex: 1;
      border-radius: 1rem;
      overflow: auto;
      padding: 0 1.5rem 0 1.5rem;
 }
 
 .music-player{
     background-color: black;
     position: fixed;
     bottom: 0;
     width: 100%;
     height: 72px;
 }
 
 a{
     text-decoration: none;
     color: #fff;
 }
 
 .nav{
     background-color: #121212;
     border-radius: 1rem;
     display: flex;
     flex-direction: column;
     justify-content: center;
     height: 100px;
     padding: 0.5rem 0.75rem;
 }
 
 .nav-option{
     line-height: 2.5rem;
     opacity: 0.7;
     padding: 0.5rem 0.75rem;
 }
 
 .nav-option:hover{
     opacity: 1 ;
 }
 
 .nav-option i{
     font-size: 1.25rem;
 } 
 
 .nav-option a {
     font-size: 1rem;
     margin-left: 1rem;
 }
 
 h2:hover{
     text-decoration: underline;
     cursor: pointer;
 }
 
 .library{
     background-color: #121212;
     border-radius: 1rem;
     height: 100%;
     margin-top: 0.5rem;
     padding: 0.5rem 0.75rem;
 }
 
 .options{
     display: flex;
     justify-content: space-between;
     align-items: center;
 }
 
 .lib-option img{
     height: 1.25rem;
     width: 1.25rem;
 }
 
 .icons{
     font-size: 1.25rem;
     display: flex;
 }
 
 .icons i{
     opacity: 0.7;
     margin-right: 1rem;
 }
 
 .icons i:hover{
     opacity: 1;
 }
 
 .box{
     background-color: #232323;
     height: 8rem;
     border-radius: 0.75rem;
     margin: 0.5rem 0 1.75rem 0;
     padding: 0.75rem 1rem;
 }
 
 .box-p1{
     font-size: 1rem;
     font-weight: 500;
 }
 
 .box-p2{
     font-size: 0.85rem;
     opacity: 0.9;
 }
 
 .badge{
     background-color: #fff;
     border: none;
     border-radius: 100px;
     padding: 0.25rem 1rem;
     font-weight: 700;
     margin-top: 0.5rem;
     height: 2rem;
     width: fit-content;
     cursor: pointer;
 }
 
 .badge:hover{
     transform: scale(1.05);
 }
 
 .dark-badge{
     background-color: #000;
     color: #fff;
 }
 
 .sticky-nav{
     position: sticky;
     top: 0;
     background-color: #121212;
     display: flex;
     justify-content: space-between;
     align-items: center;
     padding: 1rem 0 1rem 0;
     z-index: 10;
 }
 
 .sticky-nav-icons{
     margin-left: 0.75rem;
 }
 
 .sticky-nav-options{
     display: flex;
     justify-content: center;
     align-items: center;
 }
 
 .nav-item{
     margin-right: 1rem;
 }
 
 @media (max-width: 1000px) {
     .hide{
         display: none;
     }
 }
 
 .card{
     background-color: #232323;
     width: 180px;
     border-radius: 0.5rem;
     padding: 1rem;
     margin-left: 1.5rem;
     margin-top: 1rem;
 }
 
 .cards-container{
     display: flex;
     flex-wrap: wrap;
 }
 
 .card-img{
     width: 100%;
     border-radius: 0.5rem;
 }
 
 .card-title{
     font-weight: 600;
 }
 
 .card-info{
     font-size: 0.85rem;
     opacity: 0.8;
 }
 
 .footer{
     height: 300px;
     display: flex;
     align-items: center;
     justify-content: center;
 }
 
 .line{
     width: 90%;
     height: 50%;
     border-top: 1px solid white;
     opacity: 0.4;
 }
 
 .music-player{
     display: flex;
     justify-content: space-between;
     align-items: center;
 }
 
 .album{
     width: 25%;
     /* background-color: yellow; */
     display: flex;
     justify-content: center;
     align-items: center;
 }
 
 .alblum-img{
     height: 3.5rem;
     border-radius: 0.3rem;
 }
 
 .alblum-icons {
     margin-right: 1.75rem;
     height: 1rem;
     opacity: 0.7;
 }
 
 .alblum-text{
   margin-top: -1rem;
   font-size: 0.9rem;
   opacity: 0.5;
 }
 
 .alblum-text:hover, .alblum-icons:hover{
     opacity: 1;
 }
 
 .album div p:hover{
     text-decoration: underline;
 }
 
 .control-sound{
     display: flex;
 }
 
 .player{
     width: 50%;
     /* background-color: blue; */
 }
 
 .controls{
     width: 25%;
     display: flex;
     /* background-color: orange; */
 }
 
 .control-icon{
     height: 1rem;
     margin-right: 1.75rem;
     opacity: 0.7;
 }
 
 .control-icon:hover{
     opacity: 1;
 }
 
 .sound{
   width: 80%;
   color: #1bd760;
 }
 
 .player-controls{
     display: flex;
     justify-content: center;
     align-items: center;
 }
 
 .player-control-icon{
     height: 1rem;
     margin-right: 1.75rem;
     opacity: 0.7;
 }
 
 
 .player-control-icon:hover{
     opacity: 1;
 }
 
 .playback-bar{
     display: flex;
     justify-content: center;
     align-items: center;
 }
 
 .progress-bar{
     width: 70%;
     appearance: none;
     background: linear-gradient(to right, #1bd760 0%, #1bd760 var(--progress), #ddd var(--progress), #ddd 100%);
     background-color: transparent;
     cursor: pointer;
 }
 
 .progress-bar::-webkit-slider-runnable-track{
     background-color: #ddd;
     border-radius: 100px;
     height: 0.2rem;
 }
 
 .progress-bar::-webkit-slider-thumb{
     appearance: none;
     height: 1rem;
     width: 1rem;
     background-color: #1bd760;
     border-radius: 50%;
     margin-top: -6px;
 }